import { checkfile } from '../../configuration/constants'

export default {
  // 组件名称
  name: checkfile,

  // 前面板html模板
  viewTemplate() {
    return `
      <button data-gjs-type="${checkfile}" class="btn btn-info btn-relative">选择文件夹
        <input type="file" class="form-control-file" multiple="multiple" webkitdirectory="" directory="" />
      </button>
    `
  },
  // 前面板html样式
  viewStyle() {
    return `
        <style>
        </style>
    `
  },

  // 编辑器右侧块管理器中显示属性配置
  blockOptions() {
    return {
      label: "选择文件",
      attributes: { class: 'fa fa-file' },
    };
  },
  // 后面板显示属性配置
  spOptions() {
    return null
  },
  // 组件属性
  componentOptions() {
    return {
      resizable: true,
      droppable: false,
      disableChildEdit: true
    }
  }
}
